GET api/Fields

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

Collection of Field
NameDescriptionTypeAdditional information
fieldId

globally unique identifier

None.

customerId

globally unique identifier

None.

coordinates

string

None.

cropName

string

None.

plotNumber

string

None.

plantingYear

integer

None.

createdDate

date

None.

fullyLoaded

boolean

None.

moagId

string

None.

isDeleted

boolean

None.

areaSquareMeters

decimal number

None.

Customer

Customer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "fieldId": "86300d9d-a048-4080-84e2-18831358f25f",
    "customerId": "a58e8b30-0299-4717-9432-8d56bea7fe25",
    "coordinates": "sample string 3",
    "cropName": "sample string 4",
    "plotNumber": "sample string 5",
    "plantingYear": 1,
    "createdDate": "2026-03-20T18:38:59.9165342+00:00",
    "fullyLoaded": true,
    "moagId": "sample string 6",
    "isDeleted": true,
    "areaSquareMeters": 1.1,
    "Customer": {
      "customerId": "ae05bfe7-1389-4a1c-a352-45a22b1ca94a",
      "name": "sample string 2",
      "phone": "sample string 3",
      "email": "sample string 4",
      "dateCreated": "2026-03-20T18:38:59.9165342+00:00"
    }
  },
  {
    "fieldId": "86300d9d-a048-4080-84e2-18831358f25f",
    "customerId": "a58e8b30-0299-4717-9432-8d56bea7fe25",
    "coordinates": "sample string 3",
    "cropName": "sample string 4",
    "plotNumber": "sample string 5",
    "plantingYear": 1,
    "createdDate": "2026-03-20T18:38:59.9165342+00:00",
    "fullyLoaded": true,
    "moagId": "sample string 6",
    "isDeleted": true,
    "areaSquareMeters": 1.1,
    "Customer": {
      "customerId": "ae05bfe7-1389-4a1c-a352-45a22b1ca94a",
      "name": "sample string 2",
      "phone": "sample string 3",
      "email": "sample string 4",
      "dateCreated": "2026-03-20T18:38:59.9165342+00:00"
    }
  }
]

text/html

Sample:
[{"fieldId":"86300d9d-a048-4080-84e2-18831358f25f","customerId":"a58e8b30-0299-4717-9432-8d56bea7fe25","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:38:59.9165342+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"ae05bfe7-1389-4a1c-a352-45a22b1ca94a","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:38:59.9165342+00:00"}},{"fieldId":"86300d9d-a048-4080-84e2-18831358f25f","customerId":"a58e8b30-0299-4717-9432-8d56bea7fe25","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:38:59.9165342+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"ae05bfe7-1389-4a1c-a352-45a22b1ca94a","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:38:59.9165342+00:00"}}]